osl::eval::ml::King25EffectEach< Stage > Class Template Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 5 * 3 * STATE_MAX * 3 }

## Public Member Functions

template<osl::Player Defense>
osl::eval::ml::EffectState | effectState (const NumEffectState &state, Square target)

## Static Public Member Functions

static void | setUp (const Weights &weigths)
static int | eval (const NumEffectState &state)

## Static Private Member Functions

template<Player Defense>
static EffectState | effectState (const NumEffectState &state, Square target)
template<Player Defense>
static int | index (const NumEffectState &state, Square king, Square target)
template<osl::Player Defense>
static int | evalOne (const NumEffectState &state)

## Static Private Attributes

static CArray< int, 5 *3 *8 *3 > | table

## Detailed Description

template<int Stage>
class osl::eval::ml::King25EffectEach< Stage >

Definition at line 511 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

template<int Stage>

anonymous enum

Enumerator
DIM |

Definition at line 514 of file kingTable.h.

## Member Function Documentation

## effectState() [1/2]

template<int Stage>
template<osl::Player Defense>

osl::eval::ml::EffectState osl::eval::ml::King25EffectEach< Stage >::effectState | ( | const NumEffectState & | state,
|  | Square | target )

Definition at line 780 of file kingTable.cc.

## effectState() [2/2]

template<int Stage>
template<Player Defense>

EffectState osl::eval::ml::King25EffectEach< Stage >::effectState | ( | const NumEffectState & | state,
|  | Square | target )

static private

References eval().

Referenced by index().

## eval()

template<int Stage>

int osl::eval::ml::King25EffectEach< Stage >::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 845 of file kingTable.cc.

References evalOne().

Referenced by effectState().

## evalOne()

template<int Stage>
template<osl::Player Defense>

int osl::eval::ml::King25EffectEach< Stage >::evalOne | ( | const NumEffectState & | state | ) |

static private

Definition at line 820 of file kingTable.cc.

References osl::BLACK, index(), osl::SimpleState::kingSquare(), table, osl::Square::x(), and osl::Square::y().

Referenced by eval().

## index()

template<int Stage>
template<osl::Player Defense>

int osl::eval::ml::King25EffectEach< Stage >::index | ( | const NumEffectState & | state,
|  | Square | king,
|  | Square | target )

static private

Definition at line 795 of file kingTable.cc.

References osl::BLACK, effectState(), osl::Piece::isEmpty(), osl::Piece::owner(), osl::SimpleState::pieceAt(), osl::Square::x(), and osl::Square::y().

Referenced by evalOne().

## setUp()

template<int Stage>

void osl::eval::ml::King25EffectEach< Stage >::setUp | ( | const Weights & | weigths | ) |

static

Definition at line 769 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

template<int Stage>

osl::CArray< int, 5 *3 *8 *3 > osl::eval::ml::King25EffectEach< Stage >::table

static private

Definition at line 516 of file kingTable.h.

Referenced by evalOne(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc